%define		status		beta
%define		pearname	File_Gettext
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - GNU Gettext file parser
Summary(pl.UTF-8):	%{pearname} - parser plików GNU Gettext
Name:		php-pear-%{pearname}
Version:	0.4.2
Release:	3
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	78278dcb6d37b22bf0ad4736f01e1c73
URL:		http://pear.php.net/package/File_Gettext/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php(core) >= 4.1.0
Requires:	php(pcre)
Requires:	php-pear
Requires:	php-pear-PEAR-core
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Reader and writer for GNU PO and MO files.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Za pomocą tej klasy możliwy jest odczyt i zapis z/do plików PO i MO.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

mv .%{php_pear_dir}/data/File_Gettext/README .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/File/*.php
%{php_pear_dir}/File/Gettext
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> f123762
- use php(core) for php engine version deps
- release 2 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 75deeff
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Sat Mar 24 2012 Elan Ruusamäe <glen@pld-linux.org> 0c9e246
- up to 0.4.2

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 19dc965
- updated deps with pearize.sh
- release 3

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> c0e5cec
- rel 2

* Thu Dec 06 2007 Adam Gołębiowski <adamg@pld-linux.org> 888f63a
- updated to 0.4.1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7a0b2c2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5b31e49
- converted to UTF-8

* Tue Nov 21 2006 Elan Ruusamäe <glen@pld-linux.org> 7a7d215
- rel 2: use php(extension) virtuals

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 96ba7e6
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 55e0ce3
- 0.4.0

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> 1ea61a2
- rel 2 (rebuild with less deps)

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> ed21951
- BR php-pear-PEAR

* Thu Feb 16 2006 Elan Ruusamäe <glen@pld-linux.org> 03d605f
- require php-pear-PEAR-core, not the full PEAR package with deps

* Thu Oct 06 2005 Elan Ruusamäe <glen@pld-linux.org> 6aab72c
- updated to 0.3.4

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 640670e
- rel 2

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> 201b510
- semi automatically added deps from pear

* Tue Sep 20 2005 Elan Ruusamäe <glen@pld-linux.org> c9182d7
- new pear packaging

* Wed Dec 29 2004 Adam Gołębiowski <adamg@pld-linux.org> 294d0b1
- updated to 0.3.3

* Tue Dec 07 2004 Adam Gołębiowski <adamg@pld-linux.org> eee989a
- updated to 0.3.2

